Doorzoek het forum

Trefwoord

Welkom bij Joomla!NL

Om alle mogelijkheden van dit forum te kunnen gebruiken, moet je je eerst registreren.

× Zet de naam van de webshopextensie in de titel en vermeld verder in iedere vraag:
  1. De exacte versie van Joomla! die je gebruikt
  2. De exacte versie van de webshopextensie.
  3. De volledige url van je website (indien mogelijk).

opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x

22 okt 2013 12:33 22 okt 2013 14:35 door Astrid.
Heeft onderwerp gestart
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #1
Hallo,

Ik heb momenteel nog twee joomla 1.5.26+ werken met virtuemart 1.1.9. Ik heb onlangs een joomla site geupgrade van 1.5. naar 3.1.x en daar kwam nog wel want handwerk aan te pas. Dit heb ik met jUpgrade gedaan, deze heb ik nl. aangeschaft. jUpgrade kan ook de component VM upgraden.

Ik wil een joomla 1.5.26+ site upgraden naar joomla 2.5.x, incl. de upgrade van virtuemart 1.1.9 naar 2.x.
Joomla 3.1.x lijkt mij niet dat ik dat nu moet doen want vm 2 is volgens mij nog niet geschikt voor joomla 3.1 of hebben anderen er al wel ervaring mee dat het goed werkt.

Het gaat mij om de combinatie van upgraden van zowel Joomla als Virtuemart. Wat is nu de beste manier? Ik lees op verschillende forums verschillende dingen. Bestaat er ergens een recente tutorial?
Is het beter door eerst de 1.5 site virtuemart te upgraden naar virtuemart 2.x? Ik dacht dat vm 2.x niet geschikt was voor joomla 1.5 maar ik las op dit forum dat vm2.0 ook geschikt is voor 1.5.
En dan de volgende stap is met jUpgrade de hele zaak naar 2.5 brengen.
Dan blijft het probleem de templates.

Ik vind op andere sites 32 stappen plan .
Daarnaast heb ik dit gelezen.
En deze natuurlijk. Dit laatste heb ik een half jaar geleden geprobeerd maar die test is mij niet zo goed bevallen.

Nico
Edit Astrid: Ik heb je link aangepast omdat hij niet werkte.
nkamp
Regelmatige bezoeker van Joomla!NL
Regelmatige bezoeker van Joomla!NL
Berichten: 222
Lees meer
22 okt 2013 14:40
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #2
Ik heb eerst VM geupgrade in de 1.5 site en deze handleiding gevolgd, dat kan namelijk wel. Daarna destijds met JUpgrade de migratie naar 2.5 gedaan. Ik zou nu kiezen voor de nieuwste telg RedMIGRATOR (beschikbaar bij onze downloads) omdat ik hem zelf beter vind werken.
En je templateprobleem blijf je houden, maar aangezien je nieuwe site toch in een submap staat, kan je daar rustig alles weer netjes zetten toch?

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 35720
Lees meer
27 okt 2013 21:34
Heeft onderwerp gestart
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #3
Dit lijkt mij goeie manual.
Ik heb dit nu een paar maal geprobeerd echter het loopt vast bij punt 6. De melding die ik krijg is dat deze successfull geïnstalleerd is in joomla 1.5. Dat ik een dir invoices moet aanmaken, secure path moet instellen. En ik kan via de button naar de shop. Exact zoals het er staat. Klik hier dan op dan krijg een "witte" bladzijde.
Kent iemand dit probleem? Ik zie in de reacties dat ene Nadia hetzelfde probleem heeft gehad maar helaas staat er geen reactie met oplossing.
nkamp
Regelmatige bezoeker van Joomla!NL
Regelmatige bezoeker van Joomla!NL
Berichten: 222
Lees meer
27 okt 2013 21:48
Heeft onderwerp gestart
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #4
Ik heb nog even weer de manual door gekeken maar volgens mij moet je alleen de dir domein.nl/components/com_virtuemart hernoemen. Toch niet ook die van de administrator/com_virtuemart?
nkamp
Regelmatige bezoeker van Joomla!NL
Regelmatige bezoeker van Joomla!NL
Berichten: 222
Lees meer
27 okt 2013 22:06 27 okt 2013 22:09 door nkamp.
Heeft onderwerp gestart
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #5
Dit is wat er in de url "http://domein/administrator/index.php?option=com_virtuemart" komt, maar het scherm blijft gewoon wit. De rest van de site werkt nog.
Het is op mijn localhost, dus niet op de live omgeving. Ik heb de sh404SEF module uitgeschakeld inmiddels. Ik ook de "System - VM Mainframe" plugin gedisabled al klinkt dat alsof het het kloppend hart is.

De cache leeg gemaakt evenals de verlopen cache.
nkamp
Regelmatige bezoeker van Joomla!NL
Regelmatige bezoeker van Joomla!NL
Berichten: 222
Lees meer
30 okt 2013 13:39
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #6
Had hetzelfde probleem, maar daarna toch de administrator/com_virtuemart hernoemd, ik kom nu wel door stap 6 heen.
Green Goblin
Joomla!NL ontdekker
Joomla!NL ontdekker
Berichten: 22
Lees meer
15 jan 2014 22:36
Heeft onderwerp gestart
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #7
Hallo,

Het heeft een tijdje stil gelegen en nu probeer ik het weer op te pakken.

Ik volg de handleiding die eerder door Astrid is genoemd en ik ben bij stap 6 om de joomla 1.5/vm1.1.9 upgraden naar vm2.0.26b

Maar nu krijg ik de volgende foutmelding:

VmConfig::installVMConfig: COM_VIRTUEMART_SQL_ERROR DB function failed with error number 1146
Table 'dbname.xxx_virtuemart_configs' doesn't exist SQL=INSERT INTO `xxx_virtuemart_configs` (`virtuemart_config_id`, `config`) VALUES ('1',


(NB. de echte databasenaam + prefix is vervangen door dbname.xxx)

Weliswaar niet exact dezelfde foutmelding dwz ander regelnr. (bv. 2006 of andere tabelnaam), lees ik op allerlei sites dat het zou liggen aan dat de prefix niet jos_ is. Dat is inderdaad zo, maar dat kan ik mij niet voorstellen dat dit de oorzaak is.

Wel is het zo als ik met phpmyadmin kijk dat de tabel dbname.xxx_virtuemart_configs. Bovendien staan bij mijn virtuemart tabellen vm ipv van virtuemart.

MySQL versie 5.5.27
PHP 5.4.7
Joomla 1.5.26+
Virtuemart 1.1.9
localhost machine maar ik heb de site's niet in de XAMPP htdocs staan maar via de 'httpd-vhosts.conf' op een andere schijf staan. Op zich werken al mijn site's, geen enkel probleem.

Ik hoop dat iemand mij kan verder helpen met dit issue.
nkamp
Regelmatige bezoeker van Joomla!NL
Regelmatige bezoeker van Joomla!NL
Berichten: 222
Lees meer
16 jan 2014 09:51 16 jan 2014 12:55 door Jelle.
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #8
Hallo Nico,

Joomla 1.5 werkt niet lekker op PHP 5.4
Ik weet niet of dit je probleem veroorzaakt, maar ik zou het op PHP 5.2 of 5.3 proberen.

Zie ook dat je ergens een tabel mist:
Table 'dbname.xxx_virtuemart_configs' doesn't exist SQL=INSERT INTO `xxx_virtuemart_configs`
Onderzoek je configuratie bestanden eens.

Artenweb.nl creatieve unieke Joomla websites die werken!
KvK: 61932647 - Responsive templates, zoekmachine optimalisatie, maatwerk extensies.
Otto
Voelt zich thuis op Joomla!NL
Voelt zich thuis op Joomla!NL
Berichten: 2243
Lees meer
18 jan 2014 13:13
Heeft onderwerp gestart
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #9
Hallo Otto,
Dat klopt dat die tabel ontbreekt maar ik heb ook even een schone joomla 1.5+vm 1.1.9 eCommerce installatie gedaan en daar bestaat die tabel ook niet. Dus volgens mij komt die uit vm2.0 en is deze niet geinstalleerd. Wat ik mij nu opeens afvraag, had ik al eerder moeten doen maar eigenlijk ging altijd alles goed, zijn er log bestanden van installatie's?
En overal bestaat de tabellen bij schone installatie uit 'jos_vm_xxx', Waarom wordt er dan een tabel verwacht als 'jos_virtuemart_xxxxx' waarbij virtuemart voluit is geschreven?

Ik heb de prefix terug gezet naar jos_ op mijn localhost maar zelfde error.

Wat ik wel weet is dat het volgens mij de installatie in principe is uitgevoerd, en dan wordt er terug gekeerd naar het scherm om iets als "installatie virtuemart 2.026 successfully...etc etc" te tonen. Waarom ik dat denk? omdat als ik op het virtuemart icoontje klik om naar de webwinkel te gaan krijg ik dezelfde foutmelding.

Maar niemand anders dit probleem gehad?
nkamp
Regelmatige bezoeker van Joomla!NL
Regelmatige bezoeker van Joomla!NL
Berichten: 222
Lees meer
18 jan 2014 16:42
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #10
Er staat ergens onderaan bij de commentaren deze opmerking:

Hi, thx for great tutorial, but you should write that you must rename all com_virtuemart folders! i mean in administrator/components/ too.

Misschien dat dat het probleem is?

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 35720
Lees meer
18 jan 2014 22:33
Heeft onderwerp gestart
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #11
Ik heb ook de adminstrator com_virtuemart folder hernoemd.

Maar:
Goed terug naar de roots:
  • Ik heb XAMPP 1.7.3 gedownload
  • PHP versie 5.3.1
  • MySQL-client versie: 5.1.41
  • Virtuemart e-commerce versie geïnstalleerd update naar joomla 1.5.26/vm1.1.9

Nu heb ik deze site op mijn localhost niet via virtual hosts draaien maar in mijn XAMPP/htdocs draaien
Nu kom ik verder maar krijg ik de onderstaande foutmelding, maar deze file bestaat wel degelijk.

Ik heb nog een handleiding gevonden

Deze komt behoorlijk overeen met de eerder genoemde handleiding.

Ik hoop dat iemand nog een idee heeft.

Warning: require(D:\xampp\htdocs\joomla_15\plugins\vmpayment\klarna\klarna\helpers\define.php) [function.require]: failed to open stream: No such file or directory in D:\xampp\htdocs\joomla_15\plugins\vmpayment\klarnacheckout.php on line 1626

Fatal error: require() [function.require]: Failed opening required 'D:\xampp\htdocs\joomla_15\plugins\vmpayment\klarna\klarna\helpers\define.php' (include_path='.;\xampp\php\PEAR') in D:\xampp\htdocs\joomla_15\plugins\vmpayment\klarnacheckout.php on line 1626
nkamp
Regelmatige bezoeker van Joomla!NL
Regelmatige bezoeker van Joomla!NL
Berichten: 222
Lees meer
18 jan 2014 23:12
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #12
Gokje: kijk eens of het helpt als je de map vmpayment hernoemt naar vmpayment1.

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 35720
Lees meer
18 jan 2014 23:53
Heeft onderwerp gestart
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #13
Heb ik gedaan:"Gokje: kijk eens of het helpt als je de map vmpayment hernoemt naar vmpayment1"

Astrid waarom denk je dat dit zou kunnen werken? heb je dit ergens gelezen?

Maar nu krijg ik error:
Fatal error: Class 'JAccess' not found in D:\xampp\htdocs\joomla_15\administrator\components\com_virtuemart\helpers\vmview.php on line 85

Nu lees ik dat JAccess niet ondersteund wordt door joomla 1.5. Maar ook deze file bestaat.

Wat ik niet begrijp, ik heb nu een 'schone' installatie gedaan terug geschakeld naar XAMPP 1.7.3, en dat dan die handleiding niet werkt, althans of ik moet toch nog iets fout doen.
nkamp
Regelmatige bezoeker van Joomla!NL
Regelmatige bezoeker van Joomla!NL
Berichten: 222
Lees meer
19 jan 2014 00:01
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #14

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 35720
Lees meer
19 jan 2014 00:10 19 jan 2014 00:17 door nkamp.
Heeft onderwerp gestart
opgelost upgrade joomla 1.5.26+ naar 2.5.x en upgrade VM 1.1.9 -> 2.x #15
Wow, ik denk dat ik eruit ben! Misschien dom maar de nieuwste versie pakken is dus niet altijd de beste. En misschien had ik mij dit moeten realiseren/begrijpen!!???

maar ik kwam via deze foutmelding hier + hier

Ik had versie 2.0.26b gepakt. Ik ben dus terug gegaan naar 2.0.2b die in de tutorial gebruikt wordt. En nu heb ik de installatie dus wel voor elkaar!
Ik ga nu nog versie 1.0.12f proberen. Dat lijkt de laatste versie te zijn geweest. Dan upgrade vm naar 2.0.26 als ik op joomla 2.5 of 3.1.x ben
nkamp
Regelmatige bezoeker van Joomla!NL
Regelmatige bezoeker van Joomla!NL
Berichten: 222
Lees meer
Moderators: Juliank92PeterJelleRomke
Tijd voor maken pagina: 0.135 seconden

Wil je Joomla!NL steunen?

Steun Joomla!NLAlle teamleden werken enthousiast, op vrijwillige basis, mee aan Joomla!NL. Maar een website met forum kost nu eenmaal geld. Dus als je Joomla!NL wilt steunen, dan kan dat, graag zelfs!

Lees hier meer informatie

Joomla!NL op Twitter

Joomla! 4.2.1 is vrijgegeven. Deze versie pakt een beveiligingsprobleem aan, repareert verschillende bugs en bevat… https://t.co/JHmNyhWEGq

Op dinsdag 21 juni 2022 zijn Joomla! 4.1.5 en 3.10.10 vrijgegeven. Dit zijn updates die bugs repareren en enkele ve… https://t.co/Jm9MtXtU4y

De naam Joomla!® en logo worden gebruikt onder een beperkte licentie met toestemming van Open Source Matters.
Joomlanl.nl is niet verbonden aan en is geen onderdeel van Open Source Matters, Inc, of het Joomla! project.

© 2022 - Joomla!NL | Gehost door Wned